#include <mpi.h>
#include <iostream>

extern int hip_stream(int rank);
extern void core_affinity(int rank);
extern void device_affinity(int rank);

int main(int argc, char **argv)
{
	MPI_Init(&argc, &argv);
	int size, rank;
	MPI_Comm_size(MPI_COMM_WORLD, &size);
	MPI_Comm_rank(MPI_COMM_WORLD, &rank);
	std::cout << ">> rank=" << rank << std::endl;
	core_affinity(rank);
	device_affinity(rank);
	hip_stream(rank);
	MPI_Finalize();
	return 0;
}
