#!/bin/bash

set -x

export ROCR_VISIBLE_DEVICES="$SLURM_LOCALID"
export MPICH_GPU_SUPPORT_ENABLED=1

physcores=(48-55 56-62 16-23 24-31 1-7 8-15 32-39 40-47)
threads=(8 8 8 8 7 8 8 8)
export OMP_NUM_THREADS=${threads[$SLURM_LOCALID]}
numactl --all --physcpubind=${physcores[$SLURM_LOCALID]} -- ./main
